<?xml version = '1.0' encoding = 'UTF-8'?>
<Table class="oracle.dbtools.crest.model.design.relational.Table" directorySegmentName="seg_0" id="2663C0D0-8CE0-5642-82AA-986B92C35A38" name="CASTOR_FILES">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>NTOF</sourceObjSchema>
<sourceObjName>CASTORFILES</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<ordsAlias>castorfiles</ordsAlias>
<allowColumnReorder>false</allowColumnReorder>
<existDependencyGenerateInDDl>true</existDependencyGenerateInDDl>
<parsed>true</parsed>
<columns itemClass="oracle.dbtools.crest.model.design.relational.Column">
<Column name="CF_ID" id="156FDEF5-F9FE-6CFE-D955-88110CBBE97D">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>CF_ID</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>PK</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_FILE_NAME" id="91BE2727-CCDA-B673-B60D-F7F25D30A1A8">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>FILE_NAME</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>CASTOR FILE NAME</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>32 BYTE</dataTypeSize>
<ownDataTypeParameters>32 BYTE,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_FILE_PATH" id="14F34C67-E6AB-9148-FCD0-7FBB85E48697">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>FILE_PATH</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>CASTOR FILE PATH</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>256 BYTE</dataTypeSize>
<ownDataTypeParameters>256 BYTE,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_FILE_SIZE" id="7DE2EA16-547A-0842-8A58-A02046F3681A">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>FILE_SIZE</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>FILE SIZE IN BYTES</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<nullsAllowed>true</nullsAllowed>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_CREATED" id="F34D9571-C23A-A540-9CD3-82D828154593">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>CREATED</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<comment>ms since EPOCH</comment>
<commentInRDBMS>CREATION DATE&lt;br/&gt;ms since EPOCH</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_STATUS" id="759C8A98-8687-5E68-F274-2A930E1510D3">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>STATUS</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>FILE STATUS ENUM</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<usesDefaultValue>true</usesDefaultValue>
<defaultValue>0</defaultValue>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_STREAM" id="7F9B3A67-038F-FB16-1F35-37B16BD263B9">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>STREAM</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>STREAM NUMBER</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_EXTENSION" id="6A19D694-4AFB-15B3-F9E9-82BBAC49200F">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILES</sourceObjSchema>
<sourceObjName>EXTENSION</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>FILE EXTENSION NUMBER</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CF_RUN_NUMBER" id="33B5709F-F2A5-241C-B261-EA76DCF1ACA8">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
<associations>
<colAssociation fkAssociation="26086F24-5560-71CA-5D95-61DC5660F755" referredColumn="AE850909-4482-F6C9-90CE-809A6200EC6F"/>
</associations>
</Column>
</columns>
<indexes itemClass="oracle.dbtools.crest.model.design.relational.Index">
<ind_PK_UK id="808E1A9A-105C-0F63-35B7-8A17CC979C9B" name="CF_PK">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>NTOF</sourceObjSchema>
<sourceObjName>CASTORFILES_PK</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<pk>true</pk>
<indexState>Primary Constraint</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="156FDEF5-F9FE-6CFE-D955-88110CBBE97D"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="E8AF8A28-5A28-C7A5-299E-585E4C371A5F" name="CF_UNIQUE_CST">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<indexState>Unique Constraint</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="91BE2727-CCDA-B673-B60D-F7F25D30A1A8"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="03BD0F66-9A4F-8112-9E00-2AF9D3B6DB84" schemaObject="0EF4DB71-ABCC-C06F-7A4F-446E9E0D7379" name="CF_PK_IDX">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>NTOF</sourceObjSchema>
<sourceObjName>CASTORFILES_PK</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<indexState>Unique Plain Index</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="156FDEF5-F9FE-6CFE-D955-88110CBBE97D"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="E65A9247-0298-2A2E-703C-4F85D69EF70B" name="CF_RUN_NUMBER_IDX">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="33B5709F-F2A5-241C-B261-EA76DCF1ACA8"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="F9B4CFD7-2EE7-FA2A-82E8-E22FBDC05817" name="CF_RUN_ID_FK">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<indexState>Foreign Key</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="33B5709F-F2A5-241C-B261-EA76DCF1ACA8"/>
</indexColumnUsage>
</ind_PK_UK>
</indexes>
</Table>